Subject: Re: [PATCH 0/6] doc: replace "alice" and "bob" examples

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 15 Jun 2021 20:45:33 +0200

On Tue, Jun 15 2021, Robert P. J. Day wrote:

> On Tue, 15 Jun 2021, Ævar Arnfjörð Bjarmason wrote:
>
>> I suggested in [1] that the "alice" and "bob" examples in our
>> documentation would be better written without a reference to such
>> fictional characters, for reasons that have nothing to do with trying
>> to bend over backwards to avoid any reference to people's gender. It
>> just makes for better documentation.
>
>   no, it doesn't ... and wikipedia explains it nicely:

It doesn't make for better documentation? Maybe not, but can you comment
on specific parts of the changes in this series that make it worse?

> https://en.wikipedia.org/wiki/Alice_and_Bob
>
> "In cryptography, Alice and Bob are fictional characters commonly used
> as placeholders in discussions about cryptographic protocols or
> systems, and in other science and engineering literature where there
> are several participants in a thought experiment. The Alice and Bob
> characters were invented by Ron Rivest, Adi Shamir, and Leonard
> Adleman in their 1978 paper "A Method for Obtaining Digital Signatures
> and Public-key Cryptosystems".[1] Subsequently, they have become
> common archetypes in many scientific and engineering fields, such as
> quantum cryptography, game theory and physics.[2] As the use of Alice
> and Bob became more widespread, additional characters were added,
> sometimes each with a particular meaning. These characters do not have
> to refer to humans; they refer to generic agents which might be
> different computers or even different programs running on a single
> computer."
>
>   if you want to make the docs better, have at it, but please don't do
> something as meaningless as replacing "bob" and "alice" because you're
> feeling politically correct, or woke, or whatever the hell the kids
> call it these days.
>
>   jesus ...

I believe that the commit message of 1/6 addresses the point you're
raising here:
http://lore.kernel.org/git/[email-masked]